
# Copyright (C) 2020  Leipzig University Library
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# @author  Sebastian Kehr <kehr@ub.uni-leipzig.de>
# @license https://opensource.org/licenses/GPL-3.0 GNU GPLv3
composer:
  TINI_SUBREAPER: ''
  COMPOSER_HOME: /usr/local/vufind/data/docker/composer

php:
  VUFIND_ENV: development
  VUFIND_LOCAL_DIR: /usr/local/vufind/local/dev
  VUFIND_CACHE_DIR: /usr/local/vufind/data/cache
  XDEBUG_CONFIG: idekey=vufind

db:
  MYSQL_ROOT_PASSWORD: root

grunt:
  NODE_ENV: development
  HOME: /usr/local/vufind/data/docker/grunt

autoconfig:
  HOME: /usr/local/vufind/data/docker/autoconfig
  VUFIND_SITE: local
  VUFIND_INSTANCE: dev
  VUFIND_DB_CLIENT: '%'
  VUFIND_DB_ADMIN_PASSWORD: root
  VUFIND_DEFAULTS:
    config.ini:
      Authentication:
        hash_passwords: true
        encrypt_ils_password: true
      Database:
        database: mysql://vufind:vufind@db/vufind
      Index:
        url: https://index.ub.uni-leipzig.de/solr
      Mail:
        host: mail
        port: 25
    searches.ini:
      IndexShards:
        ai: ai.ub.uni-leipzig.de/solr/biblio
        main: index.ub.uni-leipzig.de/solr/biblio
    searchspecs.yaml:
      "@parent_yaml": "../../../config/vufind/searchspecs.yaml"

mail: {}